Subject: Nordic Power Documentation Project
From: [email-masked]
To: [email-masked], [email-masked], [email-masked]
Cc: [email-masked], [email-masked], [email-masked]
Date: Wed, 30 Jun 1999 08:21:00 -0700 (PDT)

FYI, earlier today I ran through the draft Master Agreement (a copy of which 
previously has been circulated to you) with four of the members of the ad hoc 
working group formed to create new Nordic financial trading documentation.  
The document as such appeared to go down well but certain of the said members 
wanted to have more time to reflect and return with comments later this 
summer.  Due to intervening summer breaks, the next conference call was 
therefore set to be held on 31 August and comments are to be submitted a week 
before that date.

Martin